UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Visitor sichu_m
Visitor
201 Views
Registered: ‎05-19-2019

Unable to program my FPGA Spartan 6 on ISE 14.07 (Ubuntu 18.04)

Jump to solution

WARNING:iMPACT:923 - Can not find cable, check cable setup !

I ge this message, now the weird thing is that I am able to program it on Windows 10 with ISE installer that is given on Windows.

When I program the FPGA on Windows 10, it says that the connected cable is

Diligent JTAG-HS2 Programming Cable

I followed the following tutorial and I did all of the steps that were provided here :

https://www.youtube.com/watch?v=meO-b6Ib17Y

For driver installation:

1. Run the following commands:
sudo /opt/Xilinx/14.7/ISE_DS/ISE/bin/lin64/install_script/install_drivers/./install_drivers
(This will give error code 1. Don't worry about it.)

cd /opt/Xilinx/14.7/ISE_DS/ISE/bin/lin64/digilent/
sudo ./install_digilent.sh

sudo apt-get install gitk git-gui libusb-dev build-essential libc6-dev-i386 fxload libftdi-dev

cd /opt/Xilinx/14.7

sudo git clone git://git.zerfleddert.de/usb-driver

cd usb-driver

sudo make (Use make for both 32-bit and 64-bit)

./setup_pcusb /opt/Xilinx/14.7/ISE_DS/ISE/

For making IMPACT work (To solve WARNING:iMPACT - Module windrvr6 is not loaded.):
1. Run the following command: export LD_PRELOAD=/opt/Xilinx/14.7/usb-driver/libusb-driver.so or add this command in ~/.bashrc. This is known to cause issues with Xilinx SDK, so open xsdk from different terminal window in which LD_PRELOAD isn't exported (you will need to comment this line, if added in ~/.bashrc for Xilinx SDK). You can also make a script which does this for you. ;)

 

71593290_1321375768043546_6072505769910075392_n.jpg
0 Kudos
1 Solution

Accepted Solutions
Xilinx Employee
Xilinx Employee
144 Views
Registered: ‎08-10-2008

Re: Unable to program my FPGA Spartan 6 on ISE 14.07 (Ubuntu 18.04)

Jump to solution

Neither Ubuntu nor Win10 is officially supported by ISE, plus a clone cable.

https://www.xilinx.com/support/answers/18419.html

Yes it might work some times but we cannot guarantee that nor support that.

To program S6, I suggest you turn to ISE on a supported OS. Don't waste time on this; it may takes just a few moments to solve or it will take forever.

------------------------------------------------------------------------------------------------------------
Don't forget to reply, kudo, and accept as solution.
---------------------------------------------------------------------------------------------------------

View solution in original post

0 Kudos
5 Replies
Xilinx Employee
Xilinx Employee
192 Views
Registered: ‎08-10-2008

回复: Unable to program my FPGA Spartan 6 on ISE 14.07 (Ubuntu 18.04)

Jump to solution

Where did you get the cable?

------------------------------------------------------------------------------------------------------------
Don't forget to reply, kudo, and accept as solution.
---------------------------------------------------------------------------------------------------------
0 Kudos
Visitor sichu_m
Visitor
178 Views
Registered: ‎05-19-2019

回复: Unable to program my FPGA Spartan 6 on ISE 14.07 (Ubuntu 18.04)

Jump to solution

I got it from Ebay, but I don't think that there is a problem with the cable because it works perfectly on Windows 10.

0 Kudos
Scholar drjohnsmith
Scholar
172 Views
Registered: ‎07-09-2009

Re: Unable to program my FPGA Spartan 6 on ISE 14.07 (Ubuntu 18.04)

Jump to solution

The report says its a Digilent HS2,

 

which looks like this

https://store.digilentinc.com/jtag-hs2-programming-cable/

 

looks to me like you have an illegal clone of the HS2,

    Yo had better get back to where you purchased it from for support.

 

<== If this was helpful, please feel free to give Kudos, and close if it answers your question ==>
Xilinx Employee
Xilinx Employee
145 Views
Registered: ‎08-10-2008

Re: Unable to program my FPGA Spartan 6 on ISE 14.07 (Ubuntu 18.04)

Jump to solution

Neither Ubuntu nor Win10 is officially supported by ISE, plus a clone cable.

https://www.xilinx.com/support/answers/18419.html

Yes it might work some times but we cannot guarantee that nor support that.

To program S6, I suggest you turn to ISE on a supported OS. Don't waste time on this; it may takes just a few moments to solve or it will take forever.

------------------------------------------------------------------------------------------------------------
Don't forget to reply, kudo, and accept as solution.
---------------------------------------------------------------------------------------------------------

View solution in original post

0 Kudos
Visitor sichu_m
Visitor
132 Views
Registered: ‎05-19-2019

Re: Unable to program my FPGA Spartan 6 on ISE 14.07 (Ubuntu 18.04)

Jump to solution

Oh okay, thanks for the help. I will use Windows 10 for now until it stops working.

Thank you for your time!

0 Kudos